///////////////////////////////////////////////////////////////
// Processingによる二分法の対話的プログラム開発用フレームワーク
//    Crowbar（クロウバー）         白井　達也（Tatsuya Shirai)
//                       shirai＠mech.suzuka-ct.ac.jp, @tatsuva
///////////////////////////////////////////////////////////////
// これがメインのスケッチです．
// これはフレームワークなので実行してもなにも行いません．

// 動作に関わるオプションを指定して下さい．
void Options() {
  crowbar.disableTextArea();
  crowbar.nonStop();
  
  crow.autoScrollLines(1);
//  crow.autoScrollPage(0.5);
}

// パラメータ入力前に行っておきたい処理（setup()の最初に自動実行）
void initCrowbar() {
  crow = startCrowbar.generate(50, 30, 0);  // ※１
}
crowbarClass crow;                          // ※２

void Setup()
{
  crow.programComment("Crowbar + Tomahawk : ベンチマーク");
  crow.programComment("テキスト出力（ひらがな）");
  crow.programComment("userDraw()で画面スクロール");
}

// メインルーチン
// ユーザのメインのプログラム（１度しか実行されない）を以下に記述

int i, j;
int imax, jmax;
String startTime, endTime;
int    startMillis, endMillis;
String [] jst = new String [51];

void Main() {
  imax = 20;

  i = 0;
  jst[i++] = "あ";
  jst[i++] = "い";
  jst[i++] = "う";
  jst[i++] = "え";
  jst[i++] = "お";
  jst[i++] = "か";
  jst[i++] = "き";
  jst[i++] = "く";
  jst[i++] = "け";
  jst[i++] = "こ";
  jst[i++] = "さ";
  jst[i++] = "し";
  jst[i++] = "す";
  jst[i++] = "せ";
  jst[i++] = "そ";
  jst[i++] = "た";
  jst[i++] = "ち";
  jst[i++] = "つ";
  jst[i++] = "て";
  jst[i++] = "と";
  jst[i++] = "な";
  jst[i++] = "に";
  jst[i++] = "ぬ";
  jst[i++] = "ね";
  jst[i++] = "の";
  jst[i++] = "は";
  jst[i++] = "ひ";
  jst[i++] = "ふ";
  jst[i++] = "へ";
  jst[i++] = "ほ";
  jst[i++] = "ま";
  jst[i++] = "み";
  jst[i++] = "む";
  jst[i++] = "め";
  jst[i++] = "も";
  jst[i++] = "や";
  jst[i++] = "ゆ";
  jst[i++] = "よ";
  jst[i++] = "ら";
  jst[i++] = "り";
  jst[i++] = "る";
  jst[i++] = "れ";
  jst[i++] = "ろ";
  jst[i++] = "わ";
  jst[i++] = "を";
  jst[i++] = "ん";
  jmax = i;
  
  i = j = 0;
}

